%define with_maven 1
%global  git_commit 4a7ad2e
%global cluster jruby
Name:          joni
Version:       1.1.6
Release:       %mkrel 1
Summary:       Java regular expression library
Group:         Development/Java
License:       MIT
Url:           https://github.com/%{cluster}/%{name}/
Source0:       %{url}/tarball/%{version}/%{cluster}-%{name}-%{version}-0-g%{git_commit}.tar.gz
Patch0:        joni-1.1.3-build_xml.patch
Patch1:        joni-1.1.3-javadoc.patch
Patch2:        joni-1.1.6-pom_xml.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

%if !%with_maven
BuildRequires: ant
%else
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
#BuildRequires: maven-wagon
%endif

BuildRequires: jcodings
BuildRequires: junit
BuildRequires: objectweb-asm
BuildRequires: forge-parent

Requires:      jcodings
Requires:      objectweb-asm

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
joni is a port of Oniguruma: http://www.geocities.jp/kosako3/oniguruma
that uses byte arrays directly instead of java Strings and chars.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
joni is a port of Oniguruma: http://www.geocities.jp/kosako3/oniguruma
that uses byte arrays directly instead of java Strings and chars.

This package contains javadoc for %{name}

%prep
%setup -q -n %{cluster}-%{name}-%{git_commit}

%if !%with_maven
%patch0 -p1
%patch1 -p0
mkdir build_lib
build-jar-repository -s -p build_lib objectweb-asm/asm jcodings
%endif
%patch2 -p0

%build

%if %with_maven
mvn-rpmbuild \
    install javadoc:aggregate
%else
  export CLASSPATH=$(build-classpath objectweb-asm/asm jcodings):target/joni.jar
  ant build javadoc
%endif


%install

mkdir -p %{buildroot}%{_javadir}

install -pm 644 target/%{name}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
%if %with_maven
  cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%else
  cp -pr target/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%endif

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Feb 25 2012 dmorgan <dmorgan> 1.1.6-1.mga2
+ Revision: 214951
- Clean spec file
- Clean spec file

  + gil <gil>
    - update to 1.1.6
    - imported package joni


* Sat Jun 11 2011 gil <gil> 1.1.3-0.%%mkrel
- initial rpm

